# std::_IClos< _ValArray, _Tp > Struct Template Reference

Inheritance diagram for std::_IClos< _ValArray, _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_IClos< _ValArray, _Tp >

Definition at line 151 of file valarray_after.h.

## Public Types

- typedef _IBase< valarray<
  _Tp > > _Base
- typedef _Tp value_type

## Public Member Functions

- _IClos (const valarray< _Tp > &__a, const valarray< size_t > &__i)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_after.h